%define modname pbx 

Summary: Elastix Module PBX 
Name:    elastix-%{modname}
Version: 2.0.0
Release: 20
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-19.tgz
Source1: extensions_override_freepbx.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: elastix >= 2.0.0-28

%description
Elastix Module PBX

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p      $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/     $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%post
if [ -f "/etc/asterisk/extensions_override_freepbx.conf" ]; then 
    echo "File extensions_override_freepbx.conf in asterisk exits, verifying macro record-enable exists..."
    grep 'macro-record-enable' /etc/asterisk/extensions_override_freepbx.conf &>/dev/null
    res=$?
    if [ $res -eq 1 ]; then #macro not exists
        cat /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/extensions_override_freepbx.conf >> /etc/asterisk/extensions_override_freepbx.conf
        echo "macro record-enable was writed."
    fi
else 
    echo "File extensions_override_freepbx.conf in asterisk not exits, copying macro record-enable..."
    cp /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/extensions_override_freepbx.conf /etc/asterisk/
    echo "macro record-enable was copied."
fi
rm -rf /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/extensions_override_freepbx.conf
chown -R asterisk.asterisk /etc/asterisk

if [ $1 -eq 1 ]; then #install
  # Run installer script to fix up ACLs and add module to Elastix menus.
  elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

  /sbin/service mysqld status &>/dev/null
  is_mysqld_run=$?
  
  # The installer database
  if [ ! -d "/var/lib/mysql/meetme" ]; then #no existe la base
    if [ $is_mysqld_run -eq 0 ]; then # la base de datos esta corriendo
       echo "The service mysqld is running."
       elastix-dbprocess "install" "/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db"
    else
       echo "The service mysqld is stop."
       cp /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db/install/01-createdb.sql      /var/spool/elastix-mysqldbscripts/091-schema-meetme.sql
       cp /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db/install/02-createtables.sql  /var/spool/elastix-mysqldbscripts/092-schema-meetme.sql
       cp /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db/install/03-createuserdb.sql  /var/spool/elastix-mysqldbscripts/093-schema-meetme.sql
    fi
  else
    echo "The meetme database exists."
  fi

elif [ $1 -eq 2 ]; then #update
  # The installer database
  elastix-dbprocess "update" "/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db"
fi

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm; delete
  echo "Delete System menus"
  elastix-menuremove "pbxconfig"

  # The installer database
  elastix-dbprocess "delete" "/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/setup/db"
fi

%files
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
/usr/share/elastix/module_installer/*

%changelog
* Fri Jul 23 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-20
- NEW: Implementation to support install database in fresh install.

* Fri Jul 23 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-19
- CHANGED: database module conference (meetme db) was removed in process index.php instalation in web interface. Now the install db is with to help elastix-dbprocess.

* Fri Jul 23 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-18
- DELETED: Source module realtime, this module is devel yet.
- CHANGED: String connection database to asteriskuser in module monitoring.

* Fri Jul 23 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-17
- CHANGED: Name module to Operator Panel.
- CHANGED: String connection database to asteriskuser. 

* Thu Jul 01 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-16
- FIXED:    Add line 'global $recordings_save_path' in pbxadmin module to obtain the path where upload audio files in recording [#346] bugs.elastix.org

* Thu Jun 17 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-15
- Change module extensions batch. Now the option download cvs is processing by index.php 

* Thu Apr 15 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-14
- Change port 5061 to 5060 in file config vendor Cisco.cfg.php module endpoint configurator.
- Fixed bug module extension batch, wasn't validating the file csv. Error code in compration boolean expresion.
- Fixed bug in module monitoring not had been changed  the new code.
- Be improve the look in module voip provider.


* Thu Mar 25 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-13
- Re-write macro-record-enable for freePBX, this action is for module monitorin support new programming in based database asteriskcdrdb.
- Module Monitoring was rewrited, improved behavoir in search audio files. 

* Fri Mar 19 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-12
- Defined Lang missed. 

* Tue Mar 16 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-11
- Defined number order menu.

* Mon Mar 01 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-10
- Fixed minor bug in EOP.

* Wed Dec 30 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-6
- Fixed bug module Voip Provider, change name voip-provider-cust to voip-provider.

* Tue Dec 29 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-7
- Improved module control panel support multi columns.
- Fixed bug, boxes of extension into other them.
- Improved module VOIP Provider performance.

* Fri Dec 04 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-6
- Improved the modulo voip provider, validation and look.

* Mon Oct 19 2009 Alex Villacis <bmacias@palosanto.com> 2.0.0-5
- Inplemetation for support web conferences in module cenferences elastix.

* Fri Sep 18 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-4
- New module VOIP PROVIDER
- Fixed minor bugs in definition words languages and messages.
- Add accion uninstall rpm.

* Fri Sep 18 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-3
- Add words in module coference.

* Mon Sep 07 2009 Bruno Macias <bmacias@palosanto.com> 2.0.0-2
- New structure menu.xml, add attributes link and order.

* Wed Aug 26 2009 Bruno Macias <bmacias@palosanto.com> 1.0.0-1
- Initial version.
